# CopyStormTaskLogFile

## *CopyStormTaskLogFile* Table

The *CopyStormTaskLogFile* table stores segmented pieces (“chunks”) of large task log files generated by job runs of CopyStorm and CopyStorm/Medic. Each chunk represents a portion of the full log associated with a specific *CopyStormTaskLog* record. This allows for scalable storage and retrieval of log data.

The following table describes each field in the *CopyStormTaskLogFile* table:

| Column Name      | Data Type | Required | Description                                                           |
| ---------------- | --------- | -------- | --------------------------------------------------------------------- |
| id               | integer   | Yes      | Unique identifier assigned to the task log chunk.                     |
| taskLogId        | integer   | Yes      | The unique id of the CopyStormTaskLog which has chunked its log file. |
| sequenceNum      | integer   | Yes      | The chunk’s position for a given log entry in the database.           |
| logFile          | varchar   | No       | The contents of the log file chunk.                                   |
| createdDate      | datetime  | Yes      | The date and time when the record was created.                        |
| lastModifiedDate | datetime  | Yes      | The date and time when the record was last modified.                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/copystormtasklogfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
